Bug 1026899 - [Usability] Provide "lock" icons for read-only form modes as well
[Usability] Provide "lock" icons for read-only form modes as well
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console - UX (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR5
: EAP 6.4.0
Assigned To: Heiko Braun
Pavel Jelinek
eap-docs
Usability
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 10:40 EST by Jakub Cechacek
Modified: 2017-10-09 20:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:38:16 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of writing datasource security (268.82 KB, image/png)
2014-08-12 15:05 EDT, Brian Stansberry
no flags Details
screen shot of reading datasource security (267.24 KB, image/png)
2014-08-12 15:06 EDT, Brian Stansberry
no flags Details
design alternatives (2.23 MB, application/pdf)
2014-08-13 13:45 EDT, Liz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-294 Major Resolved Use the lock icon for "read" views of non-readable attributes 2016-05-01 09:02 EDT

  None (edit)
Description Jakub Cechacek 2013-11-05 10:40:59 EST
When attributes are not writable, the various edit forms show the lock icon next to the attribute. The "read" views for resources should do the same for attributes that are not readable, to give the user a better indication that the empty value displayed may not be the actual value.
Comment 1 Heiko Braun 2014-07-09 07:38:16 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 2 Jakub Cechacek 2014-07-21 02:21:39 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.
Comment 3 Catherine Robson 2014-08-01 13:32:15 EDT
UX will look at improving this editing and viewing flow for 'locked' fields in EAP 7.
Comment 4 Liz 2014-08-12 14:13:02 EDT
Would it be possible to get a screenshot of this?
Comment 5 Brian Stansberry 2014-08-12 15:05:12 EDT
Created attachment 926194 [details]
screen shot of writing datasource security

Attached screenshot of editing attributes for a datasource when in a role that doesn't allow modification of those particular attributes. Lock icons are visible.
Comment 6 Brian Stansberry 2014-08-12 15:06:37 EDT
Created attachment 926195 [details]
screen shot of reading datasource security

Attached screen shot of just reading those same attributes. No lock icons visible. The attributes actually have values, but they are not shown because the user does not have permission to read them.
Comment 7 Liz 2014-08-13 13:45:17 EDT
Created attachment 926545 [details]
design alternatives
Comment 8 Liz 2014-08-13 13:46:45 EDT
Some alternative solutions, please refer to the attachment.

Option 1 – If NONE of the fields can be viewed or edited, it seems better to just provide an inline information message, rather than a form/table with “empty” values. The inline message would allow the user to quickly understand what the issue is. And it could even offer suggestions for resolution (log back with under a different role?).

Option 2 – If SOME of the fields can be viewed/edited:

* Alternative A) Hide the fields that the user is not allowed to see. And offer some inline help text to explain that the permissions are limiting the view.

* Alternative B) If showing the fields that the user does not have permissions to, is helpful to the user by providing context or additional information – then: Gray-out the fields that the user cannot view or edit, and provide some inline help text for each row.
Comment 9 Jakub Cechacek 2014-08-14 03:13:33 EDT
ad Option 2 option B)

This is partially what we are doing currently. If user edits the form and doesn't have the permission the field is Grayed-out. With that part I am quite OK. The real problem is reading the value out of edit mode. Unless some further information (e.g. the lock icon) is provided there is no way to know whether the value is empty or whether i simply don't have the permissions to read it (unless I switch to edit mode).
Comment 13 Heiko Braun 2014-08-25 09:33:02 EDT
Let's keep it simple and go for alternative B
Comment 14 JBoss JIRA Server 2014-10-10 04:21:04 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-294 to Resolved
Comment 15 Pavel Jelinek 2014-11-26 04:30:56 EST
Should this still remain in POST state?
Comment 16 Jakub Cechacek 2014-12-12 07:19:23 EST
Verified 6.4.0.DR12

Note You need to log in before you can comment on or make changes to this bug.